/*
 * Code Interface Node header file 
 */

/*
 * prototypes
 */

#include "extcode.h"
#include <conio.h>

CIN MgErr CINInit(void)                         { return noErr; }
CIN MgErr CINDispose(void)              { return noErr; }
CIN MgErr CINAbort(void)                        { return noErr; }

CIN MgErr CINRun(
					uInt32          *address, 
					uInt16          *wert, 
					uInt8           *N, 
					uInt8           *A, 
					uInt8           *F, 
					LVBoolean       *X,
					LVBoolean       *Q)
{
	int NFA;
	int ih;
	int il;
	int status;

	ih= (int) ((*wert >> 16) & 255);
	il= (int) *wert;
	NFA= (*A) << 5;
	NFA= (NFA | (*F)) << 5;
	NFA= NFA | (*N);

	outpw((*address)+2, NFA);        

	outpw((*address)+4, ih);
	outpw((*address)+6, il);
	
	status=inpw((*address)+18);

	if (status & 2)
	*X = LVTRUE;
	else
	*X = LVFALSE;

	if (status & 1)
	*Q = LVTRUE;
	else
	*Q = LVFALSE;


	return noErr;
}

CIN MgErr CINLoad(RsrcFile rf)  { return noErr; }
CIN MgErr CINUnload(void)                       { return noErr; }
CIN MgErr CINSave(RsrcFile rf)  { return noErr; }
